<?php
/**
 * @copyright   Copyright (c) 2017 https://www.sapixx.com All rights reserved.
 * @license     Licensed (http://www.apache.org/licenses/LICENSE-2.0).
 * @author      pillar<ltmn@qq.com>
 * 会员
 */
namespace app\ais\model;
use think\Model;

class AisVipUser extends Model{
    
    //关联用户信息
    public function user(){
        return $this->hasOne('app\common\model\SystemUser','id','uid');
    }

    //管理店铺
    public function store(){
        return $this->hasOne('AisStore','manage_uid','uid');
    }

    //管理会员
    public function vip(){
        return $this->hasOne('AisVip','id','vip_id');
    }

    //管理会员
    public function bank(){
        return $this->hasOne('AisBank','uid','uid');
    }

}